%define ocamlname rresult

Name:           ocaml-%{ocamlname}
Version:        0.5.0
Release:        1%{?dist}.emp1
Summary:        Result value combinators for OCaml
License:        ISC
URL:            http://erratique.ch/software/%{ocamlname }
Source0:        %{ocamlname}-%{version}.tbz

Requires: 	ocaml >= 4.01.0
Requires:  	ocaml-result

BuildRequires:  opam-installer >= 2.0
BuildRequires:  ocaml >= 4.01.0
BuildRequires:  ocaml-findlib
BuildRequires:  ocaml-ocamlbuild
BuildRequires:  ocaml-topkg-devel
BuildRequires:  ocaml-result-devel

%description
Rresult is an OCaml module for handling computation results and errors
in an explicit and declarative manner, without resorting to
exceptions. It defines combinators to operate on the `result` type
available from OCaml 4.03 in the standard library.

Rresult depends on the compatibility `result` package and is
distributed under the ISC license.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}
Requires:  	ocaml-result-devel

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%prep
%setup -q -n %{ocamlname}-%{version}

%build
ocaml pkg/pkg.ml build

%install
opam-installer \
	--prefix=%{buildroot}/%{_libdir}/ocaml \
	--libdir=%{buildroot}/%{_libdir}/ocaml \
	%{ocamlname}.install

%files
%doc %{_libdir}/ocaml/doc/%{ocamlname}/LICENSE.md
%{_libdir}/ocaml/%{ocamlname}
%ifarch %{ocaml_native_compiler}
%exclude %{_libdir}/ocaml/%{ocamlname}/*.a
%exclude %{_libdir}/ocaml/%{ocamlname}/*.cmxa
%exclude %{_libdir}/ocaml/%{ocamlname}/*.cmx
%endif
%exclude %{_libdir}/ocaml/%{ocamlname}/*.mli

%files devel
%doc %{_libdir}/ocaml/doc/%{ocamlname}/CHANGES.md
%doc %{_libdir}/ocaml/doc/%{ocamlname}/README.md
%ifarch %{ocaml_native_compiler}
%{_libdir}/ocaml/%{ocamlname}/*.a
%{_libdir}/ocaml/%{ocamlname}/*.cmxa
%{_libdir}/ocaml/%{ocamlname}/*.cmx
%endif
%{_libdir}/ocaml/%{ocamlname}/*.mli
